Package org.h2gis.functions.spatial.edit

# Class ST_FlipCoordinates.FlipCoordinateSequenceFilter

java.lang.Object
org.h2gis.functions.spatial.edit.ST_FlipCoordinates.FlipCoordinateSequenceFilter

All Implemented Interfaces:
  `org.locationtech.jts.geom.CoordinateSequenceFilter`

Enclosing class:
  ST_FlipCoordinates

public static class ST_FlipCoordinates.FlipCoordinateSequenceFilter extends Object implements org.locationtech.jts.geom.CoordinateSequenceFilter
Returns a version of the given geometry with X and Y axis flipped.

## Constructor Summary

Constructors
Constructor
Description
`FlipCoordinateSequenceFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(org.locationtech.jts.geom.CoordinateSequence seq, int i)`
`boolean`
`isDone()`
`boolean`
`isGeometryChanged()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlipCoordinateSequenceFilter

public FlipCoordinateSequenceFilter()

## Method Details

### filter

public void filter(org.locationtech.jts.geom.CoordinateSequence seq, int i)

Specified by:
  `filter` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

### isDone

public boolean isDone()

Specified by:
  `isDone` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`

### isGeometryChanged

public boolean isGeometryChanged()

Specified by:
  `isGeometryChanged` in interface `org.locationtech.jts.geom.CoordinateSequenceFilter`